#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	flac
Version		:	1.4.2
Release		:	16.2.0.rel%{?dist}
Summary		:	An encoder/decoder for the Free Lossless Audio Codec

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and LGPLv2+ and MIT 
URL		:	https://downloads.xiph.org/releases/flac

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	libogg
BuildRequires	:	libtool
BuildRequires	:	doxygen
BuildRequires	:	nasm	>= 2.0

Requires	:	%{name}-libs		= %{version}-%{release}
#-----------------------------------------------------------------------------
%description
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC
is similar to Ogg Vorbis, but lossless. The FLAC project consists of
the stream format, reference encoders and decoders in library form,
flac, a command-line program to encode and decode FLAC files, metaflac,
a command-line metadata editor for FLAC files and input plugins for
various music players.
 
This package contains the command-line tools and documentation.

#-----------------------------------------------------------------------------
%files			
%{_bindir}/%{name}
%{_bindir}/meta%{name}
%{_mandir}/man1/*.1.gz

#=============================================================================
%package		libs
Summary		:	Libraries for the Free Lossless Audio Codec

#-----------------------------------------------------------------------------
%description		libs
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC
is similar to Ogg Vorbis, but lossless. The FLAC project consists of
the stream format, reference encoders and decoders in library form,
flac, a command-line program to encode and decode FLAC files, metaflac,
a command-line metadata editor for FLAC files and input plugins for
various music players.
This package contains the FLAC libraries.
 
#-----------------------------------------------------------------------------
%files			libs
%doc AUTHORS COPYING* README.md
%{_libdir}/libFLAC.so.12*
%{_libdir}/libFLAC++.so.10*
#=============================================================================
%package		devel
Summary		:	Development libraries and header files from FLAC

#-----------------------------------------------------------------------------
Requires	:	%{name}-libs		=  %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains all the files needed to develop applications that
will use the Free Lossless Audio Codec.
 
#-----------------------------------------------------------------------------
%files			devel
%doc doc/api
%{_includedir}/FLAC/*.h
%{_includedir}/FLAC++/*.h
%{_libdir}/libFLAC*.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_datadir}/aclocal/lib*.m4
#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

# use our libtool to avoid problems with RPATH
./autogen.sh -V

export CFLAGS="$RPM_OPT_FLAGS  -funroll-loops"
%configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}/html		\
	--disable-static				\
	--htmldir=%{_docdir}/%{name}/html		\
	--disable-sse					\



%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__make}						\
	-C doc						\
	DESTDIR=%{buildroot}				\
	install

%{__rm} -r %{buildroot}%{_docdir}/%{name}

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#=============================================================================
%changelog
